# Shape.Border

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents one of the four borders in the [Shape](/api/wisej.web/content/shape.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class Border : INotifyPropertyChanged, ICloneable
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class Border
    Inherits INotifyPropertyChanged
    Implements ICloneable
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) Border()

Initializes a new instance of the [Border](/api/wisej.web/content/shape/wisej.web.shape.border.md) class.

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Color

[Color](https://docs.microsoft.com/dotnet/api/system.drawing.color): Returns or sets a value indicating the color of the borders in the [Shape](/api/wisej.web/content/shape.md) control.

### ![](/files/hsR4ok3152WyAf8J2C1u) Radius

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Indicates the radius of the border in pixels.

### ![](/files/hsR4ok3152WyAf8J2C1u) Size

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Indicates the size of the border in pixels.

### ![](/files/hsR4ok3152WyAf8J2C1u) Style

[LineStyle](/api/wisej.web/enumerations/wisej.web.linestyle.md): Indicates the style of the border.

## Events

### ![](/files/hsR4ok3152WyAf8J2C1u) PropertyChanged

[PropertyChangedEventHandler](https://docs.microsoft.com/dotnet/api/system.componentmodel.propertychangedeventhandler) Fired when a property value changes.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/content/shape/wisej.web.shape.border.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
